## tox 1.4.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

install: clean html 
	@rsync -avz $(BUILDDIR)/html/ testrun.org:/www/tox.testrun.org/latest
    #latexpdf
	#@scp $(BUILDDIR)/latex/*.pdf testrun.org:www-tox/latest

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/tox.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/tox.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/tox"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/tox"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
tox (1.4.2-2) unstable; urgency=low

  * debian/patches/no-download.patch: Modify tox's own tox.ini file to
    prevent unintended downloads of dependencies from remote Python
    package servers.
  * debian/control: Add B-D for python-pytest.
  * debian/rules:
    + Hack $PYTHONPATH to include the system Python's dist-packages when
      running tox's own tox test.  Without this, the system installed
      dependencies will not be found (since they aren't downloaded as per
      above).
    + Export $http_proxy to additionally prevent unintended internet
      access by setuptools.

 -- Barry Warsaw <barry@python.org>  Wed, 28 Nov 2012 14:59:23 -0500

tox (1.4.2-1) unstable; urgency=low

  * Initial release. (Closes: #664759)

 -- Barry Warsaw <barry@python.org>  Mon, 19 Nov 2012 22:17:45 -0500

=== debian/control ===
Source: tox
Section: python
Priority: optional
Maintainer: Barry Warsaw <barry@python.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Homepage: http://codespeak.net/tox
Build-Depends: debhelper (>= 8),
               python-all,
               python-argparse,
               python-doc,
               python-pkg-resources,
               python-py,
	       python-pytest,
               python-setuptools,
               python-sphinx (>= 1.0.7+dfsg),
               python-virtualenv
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/python-apps/packages/tox/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/tox/trunk/
X-Python-Version: >= 2.6
#XS-Testsuite: autopkgtest

Package: python-tox
Architecture: all
Depends: python-pkg-resources,
         ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends}
Description: virtualenv-based automation of test activities
 Tox as is a generic virtualenv management and test command line tool
 you can use for:
 .
  * checking your package installs correctly with different Python
    versions and interpreters
  * running your tests in each of the environments, configuring your
    test tool of choice
  * acting as a frontend to Continuous Integration servers, greatly
    reducing boilerplate and merging CI and shell-based testing.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON2=$(shell pyversions -dv)
#PYTHON3=$(shell py3versions -sv)

# $HOME must exist for tox to be happy, but an sbuild environment sets it to a
# non-existent directory.  Use this tempdir as the fake $HOME for testing
# purposes.
FAKEHOME=$(shell mktemp -dq)

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --buildsystem=python_distutils --with=python2,sphinxdoc

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs build/sphinx/html

override_dh_installman:
	(cd debian/manpage; \
	 sphinx-build -b man -d _build/doctrees . _build/man)
	dh_installman debian/manpage/_build/man/tox.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -rf debian/manpage/_build

# $HOME must exist for tox to be happy.  Also, because the tox(1) script
# doesn't exist until the package is installed (although I suppose we could
# run it out of the built location), invoke the main() function explicitly.
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	HOME=$(FAKEHOME) \
	PYTHONPATH=.:/usr/lib/python$*/dist-packages \
	python$* -c 'from tox._cmdline import main; main(["-e", "py"+"$*".replace(".", "")])'

override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
endif

get-orig-source:
	uscan --noconf --force-download --repack --rename \
		--download-current-version --verbose

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/tox/tox-(.*).zip

## tox 1.5.0

=== debian/changelog ===
tox (1.5.0-0ubuntu1) saucy; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  
  [ Barry Warsaw ]
  * New upstream release.  (Closes: #702009)
  * d/control: Update maintainer email.
  * d/patches/no-download.patch: Refreshed.
  * d/patches/pytest-dep-version.patch: Disable instafail dependency
    for now until that package clears NEW.
  * d/rules: Remove get-orig-source since upstream now releases a .tar.gz.
  * d/python-tox.docs: README.txt was renamed to README.rst.

 -- Barry Warsaw <barry@debian.org>  Fri, 12 Jul 2013 10:41:59 -0400

tox (1.4.3-1) unstable; urgency=low

  * New upstream release
  * debian/watch: Update URL since upstream now releases tar.gz files.
  * debian/rules: No more need for $FAKEHOME.
  * debian/patches/no-download.patch: Refreshed.

 -- Barry Warsaw <barry@python.org>  Fri, 01 Mar 2013 10:25:03 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: tox
 Section: python
 Priority: optional
-Maintainer: Barry Warsaw <barry@python.org>
+Maintainer: Barry Warsaw <barry@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Homepage: http://codespeak.net/tox
 Build-Depends: debhelper (>= 8),
@@ -15,8 +15,8 @@
                python-sphinx (>= 1.0.7+dfsg),
                python-virtualenv
 Standards-Version: 3.9.4
-Vcs-Svn: svn://svn.debian.org/python-apps/packages/tox/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/tox/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/tox/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/tox/trunk/
 X-Python-Version: >= 2.6
 #XS-Testsuite: autopkgtest

## tox 1.6.0

=== doc/Makefile ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	-rm -rf $(BUILDDIR)/*
 
 install: clean html 
-	@rsync -avz $(BUILDDIR)/html/ testrun.org:/www/tox.testrun.org/latest
+	@rsync -avz $(BUILDDIR)/html/ testrun.org:/www/testrun.org/tox/latest
     #latexpdf
 	#@scp $(BUILDDIR)/latex/*.pdf testrun.org:www-tox/latest

=== debian/changelog ===
tox (1.6.0-1) unstable; urgency=low

  * New upstream release.
    - d/patches/upstream-issue58.patch: Removed; applied upstream.
    - d/patches/no-download.patch: Refreshed.
    - d/patches/pytest-dep-version.patch: Removed; no longer necessary.
    - d/patches/testenv-deps.patch: Added
    - d/patches/test_fixes.patch: Added
    - d/patches/no-download.patch, d/copyright, d/manpage/conf.py:
      Update author email.

 -- Barry Warsaw <barry@debian.org>  Tue, 20 Aug 2013 21:48:05 -0400

tox (1.5.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  
  [ Barry Warsaw ]
  * New upstream release.  (Closes: #702009)
  * d/control: Update maintainer email.
  * d/patches/no-download.patch: Refreshed.
  * d/patches/pytest-dep-version.patch: Disable instafail dependency
    for now until that package clears NEW.
  * d/rules: Remove get-orig-source since upstream now releases a .tar.gz.
  * d/python-tox.docs: README.txt was renamed to README.rst.

 -- Barry Warsaw <barry@debian.org>  Mon, 15 Jul 2013 13:47:06 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python-doc,
                python-pkg-resources,
                python-py,
-	       python-pytest,
+               python-pytest,
                python-setuptools,
                python-sphinx (>= 1.0.7+dfsg),
                python-virtualenv

=== debian/rules ===
--- 
+++ 
@@ -32,18 +32,18 @@
 	rm -rf *.egg-info
 	rm -rf debian/manpage/_build
 
-# $HOME must exist for tox to be happy.  Also, because the tox(1) script
-# doesn't exist until the package is installed (although I suppose we could
-# run it out of the built location), invoke the main() function explicitly.
+# $HOME must exist for tox to be happy.  
+#
+# https://bitbucket.org/hpk42/tox/issue/105/hidden-dependency-on-home#comment-5176027
+#
+# Also, because the tox(1) script doesn't exist until the package is
+# installed (although I suppose we could run it out of the built
+# location), invoke the main() function explicitly. 
+
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 test-python%:
-	HOME=$(FAKEHOME) \
 	PYTHONPATH=.:/usr/lib/python$*/dist-packages \
-	python$* -c 'from tox._cmdline import main; main(["-e", "py"+"$*".replace(".", "")])'
+	HOME=/tmp python$* -c 'from tox._cmdline import main; main(["-e", "py"+"$*".replace(".", "")])'
 
 override_dh_auto_test: $(PYTHON2:%=test-python%) $(PYTHON3:%=test-python%)
 endif
-
-get-orig-source:
-	uscan --noconf --force-download --repack --rename \
-		--download-current-version --verbose

=== debian/tests/control ===
Tests: built
Depends: python-all, python3-all, @

## tox 1.8.0

=== debian/changelog ===
tox (1.8.0-1) unstable; urgency=medium

  * New upstream version.

 -- Barry Warsaw <barry@debian.org>  Fri, 26 Sep 2014 17:07:58 -0400

tox (1.7.2-1) unstable; urgency=medium

  * New upstream release.  (Closes: #758504)
  * d/control:
    - Updated Homepage header.  (Closes: #758505)
    - Move package VCS to git.debian.org (using git-dpm).

 -- Barry Warsaw <barry@debian.org>  Fri, 05 Sep 2014 19:41:00 -0400

tox (1.7.1-3) unstable; urgency=medium

  * d/patches/build-time-tests.patch: Fix DEP-8 related failures.
  * d/tests/control: Update dependencies.

 -- Barry Warsaw <barry@debian.org>  Sat, 21 Jun 2014 18:44:45 -0400

tox (1.7.1-2) unstable; urgency=medium

  * d/changelog: Fix closed bug number typo.
    - Closes: #751193

 -- Barry Warsaw <barry@debian.org>  Tue, 17 Jun 2014 16:12:24 -0400

tox (1.7.1-1) unstable; urgency=low

  * New upstream release.
  * d/control:
    - Re-enable DEP 8 tests.
    - Add missing Build-Depend dependencies.
    - Switch to using Python 3 only.
    - Add to Depends: python3-py, python3-virtualenv
    - Add X-Python3-Version header and remove X-Python-Version header.
    - Bump Standards-Version to 3.9.5 with no other changes necessary.
    - Fix virtualenv dependency.  Closes: #751193
  * d/rules:
    - Switch to Python 3.  Closes: #746236
    - override_dh_auto_clean removes .tox directory.  Closes: #751803
  * d/tests
    - built: Simplify and switch to /bin/sh.
    - control: Update to use Python 3 dependencies.
  * d/patches:
    - hack-requires.patch: Added; use Depends instead.
    - build-time-tests.patch: Added; skips build-time tests which
      require an installed `tox` executable.  These are tested by the DEP-8
      tests.
    - de-google-ify.patch: Added; fixes privacy-breach-google-adsense
      lintian errors.
    - test-fixes.patch: Removed; applied upstream.
    - no-download.patch: Removed; obsolete.
    - testenv-deps.patch: Removed; obsolete.
  * d/python-tox.pyremove: Removed.
  * d/python-tox.docs: Update.

 -- Barry Warsaw <barry@debian.org>  Tue, 17 Jun 2014 16:05:44 -0400

=== debian/control ===
Source: tox
Section: python
Priority: optional
Maintainer: Barry Warsaw <barry@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Homepage: http://tox.testrun.org
Build-Depends: debhelper (>= 8),
               python3-all,
               python3-pip,
               python3-pkg-resources,
               python3-py,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-virtualenv
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/python-modules/packages/tox.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/tox.git
X-Python3-Version: >= 3.2
XS-Testsuite: autopkgtest

Package: python-tox
Architecture: all
Depends: python3,
         python3-pkg-resources,
         python3-py,
         python3-virtualenv,
         virtualenv,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: virtualenv-based automation of test activities
 Tox as is a generic virtualenv management and test command line tool
 you can use for:
 .
  * checking your package installs correctly with different Python
    versions and interpreters
  * running your tests in each of the environments, configuring your
    test tool of choice
  * acting as a frontend to Continuous Integration servers, greatly
    reducing boilerplate and merging CI and shell-based testing.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
PYTHON3=$(shell py3versions -sv)

# Prevent setuptools/distribute from accessing the internet.
export http_proxy = http://127.0.9.1:9
export https_proxy = https://127.0.9.1:9


%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	nodot=$(shell echo $* | cut --complement -b 2); \
	PYTHONPATH=`pwd`:$$PYTHONPATH DEB_SKIP_TOX_TESTS=1 \
	python$* -mtox --sitepackages -e py$${nodot}

override_dh_auto_test: $(PYTHON3:%=test-python%)
endif

# pybuild can't yet handle Python 3 packages that don't start with "python3-".
# See bug #751908 - In the meantime, this override isn't perfect, but it gets
# close enough.
override_dh_auto_install:
	dh_auto_install
	mv debian/python-tox/usr/lib/python3.? \
	   debian/python-tox/usr/lib/python3
	find debian/python-tox -name __pycache__ | xargs rm -rf

override_dh_installdocs:
	python3 setup.py build_sphinx
	dh_installdocs build/sphinx/html

override_dh_installman:
	(cd debian/manpage; \
	 sphinx-build -b man -d _build/doctrees . _build/man)
	dh_installman debian/manpage/_build/man/tox.1

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -rf .tox
	rm -rf debian/manpage/_build

=== debian/tests/control ===
Tests: built
Depends: @, python3-all, python3-pytest, python3-pip, virtualenv, python-pytest

## tox 1.9.2

=== debian/changelog ===
tox (1.9.2-2) unstable; urgency=medium

  * d/rules: Generate the manpage using known date, for reproducible builds.
    (Closes: #783757)
  * d/manpage/conf.py: Update manpage version number.

 -- Barry Warsaw <barry@debian.org>  Wed, 29 Apr 2015 15:37:39 -0400

tox (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version to 3.9.6.
  * d/watch: Use the pypi.debian.net mirror.

 -- Barry Warsaw <barry@debian.org>  Tue, 28 Apr 2015 13:44:15 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-virtualenv
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/python-modules/packages/tox.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/tox.git
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 #export DH_VERBOSE=1
 PYTHON3=$(shell py3versions -sv)
+
+BUILD_DATE=$(\
+    shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%B %d, %Y" -f -)
 
 # Prevent setuptools/distribute from accessing the internet.
 export http_proxy = http://127.0.9.1:9
@@ -35,7 +38,9 @@
 
 override_dh_installman:
 	(cd debian/manpage; \
-	 sphinx-build -b man -d _build/doctrees . _build/man)
+	 sphinx-build \
+		-b man -D today="$(BUILD_DATE)" \
+		-d _build/doctrees . _build/man)
 	dh_installman debian/manpage/_build/man/tox.1
 
 override_dh_installchangelogs:

## tox 2.1.1

=== doc/Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 
 install: clean html 
 	@rsync -avz $(BUILDDIR)/html/ testrun.org:/www/testrun.org/tox/latest
+	#dev
     #latexpdf
 	#@scp $(BUILDDIR)/latex/*.pdf testrun.org:www-tox/latest

=== debian/changelog ===
tox (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control:
    - Added new dependency python3-pluggy to Build-Depends and Depends.
    - Added python3-pytest-timeout to Build-Depends.
    - Added python3-setuptools to Depends.  (Closes: #780702)
    - Bump debhelper to version 9.
  * d/rules:
    - Removed http_proxy/https_proxy settings since pybuild adds these
      automatically.
    - Disable build-time tests; they can't possibly run.  Rely on DEP-8
      tests to ensure that tox is built and runs correctly.
  * d/compat: Bump to version 9.

 -- Barry Warsaw <barry@debian.org>  Mon, 13 Jul 2015 19:33:17 -0400

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Maintainer: Barry Warsaw <barry@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Homepage: http://tox.testrun.org
-Build-Depends: debhelper (>= 8),
+Build-Depends: debhelper (>= 9),
                python3-all,
                python3-pip,
                python3-pkg-resources,
+               python3-pluggy,
                python3-py,
                python3-pytest,
+               python3-pytest-timeout,
                python3-setuptools,
                python3-sphinx,
                python3-virtualenv
@@ -23,7 +25,9 @@
 Architecture: all
 Depends: python3,
          python3-pkg-resources,
+         python3-pluggy,
          python3-py,
+         python3-setuptools,
          python3-virtualenv,
          virtualenv,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,22 +6,13 @@
 BUILD_DATE=$(\
     shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%B %d, %Y" -f -)
 
-# Prevent setuptools/distribute from accessing the internet.
-export http_proxy = http://127.0.9.1:9
-export https_proxy = https://127.0.9.1:9
-
-
 %:
 	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
 
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-test-python%:
-	nodot=$(shell echo $* | cut --complement -b 2); \
-	PYTHONPATH=`pwd`:$$PYTHONPATH DEB_SKIP_TOX_TESTS=1 \
-	python$* -mtox --sitepackages -e py$${nodot}
-
-override_dh_auto_test: $(PYTHON3:%=test-python%)
-endif
+# The tests are not runnable during package build because many invoke the tox
+# command line.  It's too much work to make the test suite run partially here
+# because upstream always changes the mix.
+override_dh_auto_test:
 
 # pybuild can't yet handle Python 3 packages that don't start with "python3-".
 # See bug #751908 - In the meantime, this override isn't perfect, but it gets

## tox 2.2.1

=== debian/changelog ===
tox (2.2.1-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/fix-sphinx-build.patch: Fix documentation build locations.
  * d/rules: Update override_dh_installdocs locations.
  * d/copyright: Added missing licenses.  (Closes: #795216)

 -- Barry Warsaw <barry@debian.org>  Fri, 20 Nov 2015 16:48:04 -0500

tox (2.1.1-2) unstable; urgency=medium

  * d/control:
    - Rename python-tox binary package to tox.  This now replaces/breaks
      earlier versions of python-tox.
    - Reintroduce python-tox binary package as a virtual package.
  * d/rules: Remove the hack around for bug #751908, and make the package
    built without failure when multiple versions of Python 3 are supported.
  * d/python-tox.doc-base -> tox.doc-base
  * d/python-tox.docs -> tox.docs
  * d/tox.install: Added to ensure the tox library gets installed correctly.

 -- Barry Warsaw <barry@debian.org>  Thu, 06 Aug 2015 15:39:51 -0400

=== debian/rules ===
--- 
+++ 
@@ -14,18 +14,9 @@
 # because upstream always changes the mix.
 override_dh_auto_test:
 
-# pybuild can't yet handle Python 3 packages that don't start with "python3-".
-# See bug #751908 - In the meantime, this override isn't perfect, but it gets
-# close enough.
-override_dh_auto_install:
-	dh_auto_install
-	mv debian/python-tox/usr/lib/python3.? \
-	   debian/python-tox/usr/lib/python3
-	find debian/python-tox -name __pycache__ | xargs rm -rf
-
 override_dh_installdocs:
 	python3 setup.py build_sphinx
-	dh_installdocs build/sphinx/html
+	dh_installdocs build/html
 
 override_dh_installman:
 	(cd debian/manpage; \

## tox 2.3.0

=== debian/changelog ===
tox (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * d/patches/fix-sphinx-build.patch: Removed; applied upstream.
  * d/rules: Update override_dh_installdocs locations... again.

 -- Barry Warsaw <barry@debian.org>  Fri, 11 Dec 2015 10:08:04 -0500

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest
 
-Package: python-tox
+Package: tox
 Architecture: all
 Depends: python3,
          python3-pkg-resources,
@@ -33,6 +33,8 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}
+Replaces: python-tox (<< 2.1.1-2~)
+Breaks: python-tox (<< 2.1.1-2~)
 Description: virtualenv-based automation of test activities
  Tox as is a generic virtualenv management and test command line tool
  you can use for:
@@ -43,3 +45,11 @@
     test tool of choice
   * acting as a frontend to Continuous Integration servers, greatly
     reducing boilerplate and merging CI and shell-based testing.
+
+Package: python-tox
+Depends: tox, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package for tox
+ This is a transitional dummy package.  It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 override_dh_installdocs:
 	python3 setup.py build_sphinx
-	dh_installdocs build/html
+	dh_installdocs doc/build/html
 
 override_dh_installman:
 	(cd debian/manpage; \

=== debian/tests/control ===
Tests: built
Depends: @, python3-all, python3-pytest, python-pytest, python3-pip,
         virtualenv, python3-pytest-timeout

## tox 2.3.1

=== doc/Makefile ===
--- 
+++ 
@@ -11,6 +11,8 @@
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
+
+SITETARGET=$(shell ./_getdoctarget.py)
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
 
@@ -36,8 +38,10 @@
 clean:
 	-rm -rf $(BUILDDIR)/*
 
+
 install: clean html 
 	@rsync -avz $(BUILDDIR)/html/ testrun.org:/www/testrun.org/tox/latest
+	@rsync -avz $(BUILDDIR)/html/ testrun.org:/www/testrun.org/tox/$(SITETARGET)
 	#dev
     #latexpdf
 	#@scp $(BUILDDIR)/latex/*.pdf testrun.org:www-tox/latest

=== debian/changelog ===
tox (2.3.1-4) unstable; urgency=medium

  * d/control:
    - Bump Standards-Version to 3.9.7 with no changes needed.
    - Update Vcs-* fields to current best-practice values.
  * d/tests: Simplify DEP-8 tests so that it doesn't try to run the full tox
    testsuite, but just a simple smoke test.  For mysterious reasons, the
    full test suite passes in local adt-runs but fails in Ubuntu production.

 -- Barry Warsaw <barry@debian.org>  Tue, 23 Feb 2016 13:52:33 -0500

tox (2.3.1-3) unstable; urgency=medium

  * d/tests/built: Fix upload snafu.

 -- Barry Warsaw <barry@debian.org>  Wed, 17 Feb 2016 16:12:39 -0500

tox (2.3.1-2) unstable; urgency=medium

  * d/control: Add Build-Depends on dh-python.
  * d/rules:
    - export PYBUILD_NAME=tox
    - Add override_dh_install to make sure that the default Python 3
      version of the library gets installed correctly.
    - Remove debian/tox.install since that was hardcoded to a specific
      Python 3 version, which might not exist.
  * d/tests
    - control: Update dependencies.
    - built: export VIRTUALENV_DOWNLOAD=no to really prevent hitting PyPI.

 -- Barry Warsaw <barry@debian.org>  Tue, 16 Feb 2016 12:55:15 -0500

tox (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Mon, 14 Dec 2015 09:51:05 -0500

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Homepage: http://tox.testrun.org
 Build-Depends: debhelper (>= 9),
+               dh-python,
                python3-all,
                python3-pip,
                python3-pkg-resources,
@@ -15,9 +16,9 @@
                python3-setuptools,
                python3-sphinx,
                python3-virtualenv
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/tox.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=python-modules/packages/tox.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tox.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tox.git
 X-Python3-Version: >= 3.2
 XS-Testsuite: autopkgtest

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
-PYTHON3=$(shell py3versions -sv)
+#export PYBUILD_VERBOSE=1
+export PYBUILD_NAME=tox
+
+PYTHON3=$(shell py3versions -d)
 
 BUILD_DATE=$(\
     shell dpkg-parsechangelog -S Date | LC_ALL=C date -u "+%B %d, %Y" -f -)
@@ -13,6 +16,12 @@
 # command line.  It's too much work to make the test suite run partially here
 # because upstream always changes the mix.
 override_dh_auto_test:
+
+override_dh_install:
+	dh_install
+	dh_install debian/python3-tox/usr/bin usr
+	dh_install debian/python3-tox/usr/lib/$(PYTHON3)/dist-packages \
+		   usr/lib/python3
 
 override_dh_installdocs:
 	python3 setup.py build_sphinx

=== debian/tests/control ===
Tests: smoketest
Depends: @, python, python3
Restrictions: allow-stderr

## tox 2.4.1

=== debian/changelog ===
tox (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Bump Standards-Version with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Mon, 17 Oct 2016 18:53:58 -0400

## tox 2.5.0

=== debian/changelog ===
tox (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Barry Warsaw <barry@debian.org>  Wed, 16 Nov 2016 15:46:50 -0500

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-virtualenv
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/tox.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/tox.git
 X-Python3-Version: >= 3.2

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/tox/tox-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tox 3.7.0

=== debian/changelog ===
tox (3.7.0-2) unstable; urgency=high

  * Fix autopkgtest that regressed in the previous version. This runs our
    smoketest on an isolated temporary directory, without relying on the
    upstream setup.py. (Closes: #920646)

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 16 Feb 2019 09:57:25 +0200

tox (3.7.0-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * New upstream version. (Closes: #887552)
    - Add Build-Depends on filelock, toml, setuptools-scm and
      python3-sphinxcontrib.autoprogram.
    - Overhaul the generation of documentation and among other things, use
      upstream's manpage.
  * Update Homepage field to upstream's new home.
  * Update debian/copyright
    - Tox has been relicensed to MIT since 1.5.0, so update d/copyright to
      reflect that.
    - Relicense debian/* to MIT as well (with Barry's permission)
    - Add my own copyright to debian/*
    - Remove references to files that do not exist anymore, and adjust the
      ones that exist in a different location.
    - Add more contributors to the upstream source's Copyright
    - Use https for the Source URL to point to pypi
  * Bump debhelper compatibility level to 11.
  * Bump Standards-Version to 4.3.0.
  * Drop transitional package python-tox, not needed from upgrades from
    stretch.
  * Drop all obsolete and unused debian/patches.
  * Add Built-Using, and set it to ${sphinxdoc:Built-Using}.
  * Add myself to Uploaders.

  [ Barry Warsaw ]
  * d/control: Put PAPT in Maintainers and myself in Uploaders.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * d/copyright: Use https protocol in Format field
  * d/control: Remove XS-Testsuite field, not needed anymore
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 26 Jan 2019 07:44:25 +0200

=== debian/control ===
Source: tox
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Faidon Liambotis <paravoid@debian.org>, Barry Warsaw <barry@debian.org>
Homepage: https://tox.readthedocs.io/
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-pip,
               python3-filelock (>= 3.0.0-1~),
               python3-pkg-resources,
               python3-pluggy,
               python3-py,
               python3-pytest,
               python3-pytest-timeout,
               python3-setuptools,
               python3-setuptools-scm (>= 2.0.0-1~),
               python3-sphinx,
               python3-sphinxcontrib.autoprogram,
               python3-toml (>= 0.9.4-1~),
               python3-virtualenv
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/python-team/modules/tox.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/tox

Package: tox
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends: python3,
         python3-pkg-resources,
         python3-pluggy,
         python3-py,
         python3-setuptools,
         python3-virtualenv,
         virtualenv,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends}
Description: virtualenv-based automation of test activities
 Tox as is a generic virtualenv management and test command line tool
 you can use for:
 .
  * checking your package installs correctly with different Python
    versions and interpreters
  * running your tests in each of the environments, configuring your
    test tool of choice
  * acting as a frontend to Continuous Integration servers, greatly
    reducing boilerplate and merging CI and shell-based testing.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
#export PYBUILD_VERBOSE=1
export PYBUILD_NAME=tox

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

# The tests are not runnable during package build because many invoke the tox
# command line.  It's too much work to make the test suite run partially here
# because upstream always changes the mix.
override_dh_auto_test:

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	# build HTML docs and manpages with Sphinx
	PATH=debian/faketowncrier:$$PATH \
	PYTHONPATH=src:$$PYTHONPATH \
	  python3 -m sphinx -N -bhtml docs/ build/html
	PATH=debian/faketowncrier:$$PATH \
	PYTHONPATH=src:$$PYTHONPATH \
	  python3 -m sphinx -N -bman docs/ build/man
	# dh_installdocs skips this if empty, so add a newline...
	echo > build/html/_sources/_draft.rst.txt

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info
	rm -rf .tox

## tox 3.13.2

=== debian/changelog ===
tox (3.13.2-2) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Scott Kitterman ]
  * Drop tests for python2, they can no longer be run from just packages in
    Testing (Closes: #954451).

 -- Scott Kitterman <scott@kitterman.com>  Sun, 22 Mar 2020 12:10:23 -0400

tox (3.13.2-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * New upstream release.
    - Refresh patch alabaster-no-external-links.
  * Bump debhelper compat level to 12.
  * Adjust Vcs-* to point to reflect the move from DPMT to PAPT.
  * Ship a custom-written (and much improved) manpage for tox(1), as well as a
    manpage for tox-quickstart(1).

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.0.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 28 Aug 2019 17:39:26 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>, Barry Warsaw <barry@debian.org>
 Homepage: https://tox.readthedocs.io/
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pip,
@@ -20,9 +20,9 @@
                python3-sphinxcontrib.autoprogram,
                python3-toml (>= 0.9.4-1~),
                python3-virtualenv
-Standards-Version: 4.3.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/tox.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/tox
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/python-team/applications/tox.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/tox
 
 Package: tox
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,6 @@
 	PATH=debian/faketowncrier:$$PATH \
 	PYTHONPATH=src:$$PYTHONPATH \
 	  python3 -m sphinx -N -bhtml docs/ build/html
-	PATH=debian/faketowncrier:$$PATH \
-	PYTHONPATH=src:$$PYTHONPATH \
-	  python3 -m sphinx -N -bman docs/ build/man
 	# dh_installdocs skips this if empty, so add a newline...
 	echo > build/html/_sources/_draft.rst.txt

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/tox/tox-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## tox 3.15.1

=== debian/changelog ===
tox (3.15.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refresh patches
  * Bump standards-version to 4.5.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Mon, 25 May 2020 12:20:36 -0400

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                python3-sphinxcontrib.autoprogram,
                python3-toml (>= 0.9.4-1~),
                python3-virtualenv
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/applications/tox.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/tox

## tox 3.21.0

=== debian/changelog ===
tox (3.21.0-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * New upstream version.
  * General package hygiene:
    - Update debian/watch to v4.
    - Bump Standards-Version to 4.5.1, no changes needed.
    - Bump debhelper compatibility level to 13.
  * Remove Barry Warsaw from Uploaders (Closes: #970187)
  * Remove versioned depends on package version before buster.
  * Refresh Build-Depends/Depends to match upstream's requirements.
  * Stop relying on setuptools_scm and use upstream's hardcoded version.
  * Add Rules-Requires-Root: no.

  [ Ondřej Nový ]
  * Update Maintainer field with new Debian Python Team contact address.
  * Update Vcs-* fields with new Debian Python Team Salsa layout.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 10 Jan 2021 20:20:23 +0200

## tox 3.21.4

=== debian/changelog ===
tox (3.21.4-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 06 Feb 2021 23:36:50 +0200

=== debian/control ===
Source: tox
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Faidon Liambotis <paravoid@debian.org>
Homepage: https://tox.readthedocs.io/
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-filelock,
 python3-packaging,
 python3-pip,
 python3-pluggy (>= 0.12.0-1~),
 python3-py,
 python3-setuptools,
 python3-six,
 python3-sphinx (>= 2.0.0-1~),
 python3-sphinxcontrib.autoprogram,
 python3-toml,
 python3-virtualenv,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/python-team/packages/tox.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/tox
Rules-Requires-Root: no

Package: tox
Architecture: all
Built-Using: ${sphinxdoc:Built-Using}
Depends:
 python3,
 python3-setuptools,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: virtualenv-based automation of test activities
 Tox as is a generic virtualenv management and test command line tool
 you can use for:
 .
  * checking your package installs correctly with different Python
    versions and interpreters
  * running your tests in each of the environments, configuring your
    test tool of choice
  * acting as a frontend to Continuous Integration servers, greatly
    reducing boilerplate and merging CI and shell-based testing.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,4 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf build
-	rm -rf *.egg-info
-	rm -rf .tox
+	rm -f docs/_draft.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/t/tox/ \
tox-([\d\.]+)\.tar\.gz debian uupdate

## tox 3.28.0

=== debian/changelog ===
tox (3.28.0-2) unstable; urgency=medium

  * Add a dependency on python3-tomli to fix runtime failures when running
    under Python versions earlier than 3.11. This was in setup.cfg as a
    complex environment marker that pydist could not parse.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 11 Jan 2023 18:54:22 +0200

tox (3.28.0-1) unstable; urgency=medium

  * New upstream release, from the legacy 3.x branch.
  * Update debian/watch to point to tarballs from GitHub, as these are more
    complete nowadays.
  * Use SETUPTOOLS_SCM_PRETEND_VERSION to fix the setuptools_scm version, and
    to avoid the version being set based on the git tag.
  * Drop patch disable-setuptools-scm: instead of patching setup.py to disable
    setuptools_scm, use it, but set SETUPTOOLS_SCM_PRETEND_VERSION to instruct
    it to not fetch the version from git, but rather set it statically to
    DEB_VERSION_UPSTREAM.
  * Add support for the nodoc build option and profile.
  * towncrier now exists in Debian, so use it instead of faking it with our
    own "faketowncrier" version. It still does not serve any purpose in the
    package, but helps with avoiding any drift with upstream. Add patch
    "towncrier-build" to fix an issue with how tox invokes it right now.
  * Various package hygiene cleanups:
    - Add a gbp.conf file to always enable pristine-tar and to switch to the
      new style (*/latest) DEP-14 branch structure.
    - Add debian/source/options to extend-diff-ignore the "egg-info"
      directory which tends to be uselessly dirty.
    - Use the more declarative debian/clean file instead of an dh_auto_clean
      override.
    - Use execute_after_dh_auto_build instead of override_, given we were not
      really overriding.
    - Use dh-sequence-python3 and dh-sequence-sphinxdoc, instead of passing
      --with to dh.
    - Update Homepage with the new tox.wiki website.
    - Add debian/upstream/metadata.
    - Bump Standards-Version to 4.6.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 11 Jan 2023 06:22:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Faidon Liambotis <paravoid@debian.org>
-Homepage: https://tox.readthedocs.io/
+Homepage: https://tox.wiki/
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-filelock,
  python3-packaging,
@@ -14,25 +15,31 @@
  python3-pluggy (>= 0.12.0-1~),
  python3-py,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-six,
- python3-sphinx (>= 2.0.0-1~),
- python3-sphinxcontrib.autoprogram,
- python3-toml,
+ python3-tomli | python3 (>> 3.11),
+ python3-toml | python3 (>> 3.7),
  python3-virtualenv,
-Standards-Version: 4.5.1
+ dh-sequence-sphinxdoc <!nodoc>,
+ python3-sphinx (>= 2.0.0-1~) <!nodoc>,
+ python3-sphinxcontrib.autoprogram <!nodoc>,
+ towncrier <!nodoc>,
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/tox.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/tox
 Rules-Requires-Root: no
 
 Package: tox
 Architecture: all
-Built-Using: ${sphinxdoc:Built-Using}
 Depends:
  python3,
  python3-setuptools,
  ${misc:Depends},
  ${python3:Depends},
- ${sphinxdoc:Depends}
+ ${sphinxdoc:Depends},
+# dh_python3 cannot handle upstream dep ("ignoring complex environment marker")
+# py3.11 has "tomllib" which upstream code prefers
+ python3-tomli | python3 (>> 3.11),
 Description: virtualenv-based automation of test activities
  Tox as is a generic virtualenv management and test command line tool
  you can use for:

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

#export DH_VERBOSE=1
#export PYBUILD_VERBOSE=1
export PYBUILD_NAME=tox

# instruct setuptools_scm to not fetch the version from git
export SETUPTOOLS_SCM_PRETEND_VERSION = $(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild

# The tests are not runnable during package build because many invoke the tox
# command line.  It's too much work to make the test suite run partially here
# because upstream always changes the mix.
override_dh_auto_test:

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
	# build HTML docs and manpages with Sphinx
	PYTHONPATH=src:$$PYTHONPATH \
	  python3 -m sphinx -N -bhtml docs/ build/html
	# dh_installdocs skips this if empty, so add a newline...
	echo > build/html/_sources/_draft.rst.txt
endif
